package com.huimv.manage.eartag.service;

import com.huimv.manage.util.Result;

import java.io.IOException;
import java.io.UnsupportedEncodingException;
import java.util.Date;

public interface IEarmarkService {
    //
    Result listEarmark(int pageSize);
    Result listEarmark(Integer applyId, Integer packageId, Integer earMarkId, Integer earMarkNumber, Integer returnState, Integer writeState, Integer printState, Date startDate, Date endDate, Integer pageSize, Integer pageNo);

    //
    Result getEarmark(int applyId) throws IOException;

    //
    Result setUpdateDownState(String earmarkIDs) throws UnsupportedEncodingException;

    //设置生产状态
    Result setProduceState(String ids,int state);

    //设置写入状态
    Result setWriteState(String ids, int state);

    //设置打码状态
    Result setPrintState(String ids, int state);

}
